#!/bin/sh
#  Copyright: ©2010, Güralp Systems Ltd.
#  Author: Laurence Withers
#  License: GPLv3
#
#  Fixes old path /var/spool/quickstatus to new path in /var/run for
#  lcd-statuswatch .
#

# Only run once
[ -n "${POST_UPGRADE_CACHE}" ] && touch "${POST_UPGRADE_CACHE}/`basename $0`"

# Test for existence of file
CF="/etc/lcd-statuswatch/lcd-statuswatch.local"
[ -e "${CF}" ] || exit 0

# Test for old value
P="`gcs_rwvar gcs_get_varcf quickstatus_path ${CF}`"
if [ "${P}" = "/var/spool/quickstatus" ]
then
	echo " * Fixing LCD path in ${CF}"
	gcs_rwvar gcs_set_varcf "quickstatus_path" "${CF}" "/var/run/quickstatus"
fi
